> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Download a report result file

> This method retrieves a generated report file in the specified format.

Use Accept header to specify the file format.

*Examples:*

- JSON: `Accept=application/json`
- CSV: `Accept=text/csv`
- Excel: `Accept=application/vnd.openxmlformats-officedocument.spreadsheetml.sheet`





## OpenAPI

````yaml /api-reference/services_documented/billing_reseller_api.yaml get /billing/org/v1/reports/{uuid}/download
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Billing Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: addendums
    description: Operations on client addendums
    x-displayName: addendums
  - name: calc_rules
    x-displayName: calc_rules
  - name: currencies
    x-displayName: currencies
  - name: erp-invoices
    x-displayName: erp-invoices
  - name: expenses
    description: Operations on expenses
    x-displayName: expenses
  - name: plans
    description: Operations on tariff plans and their contents
    x-displayName: plans
  - name: products
    x-displayName: products
  - name: reports
    description: >-
      Operations involving reports and the associated background tasks that
      handle their processing
    x-displayName: reports
  - name: trials
    x-displayName: trials
paths:
  /billing/org/v1/reports/{uuid}/download:
    get:
      tags:
        - reports
      summary: Download a report result file
      description: >+
        This method retrieves a generated report file in the specified format.


        Use Accept header to specify the file format.


        *Examples:*


        - JSON: `Accept=application/json`

        - CSV: `Accept=text/csv`

        - Excel:
        `Accept=application/vnd.openxmlformats-officedocument.spreadsheetml.sheet`

      operationId: v1_reports_download_retrieve
      parameters:
        - in: query
          name: format
          schema:
            type: string
            enum:
              - csv
              - json
              - xlsx
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            description: Request-Id header value
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  headers:
                    type: array
                    items:
                      type: string
                    description: Column headers for the report data.
                  rows:
                    type: array
                    items:
                      type: array
                      items: {}
                    description: Report data rows.
            text/csv:
              schema:
                type: string
                format: binary
            application/vnd.openxmlformats-officedocument.spreadsheetml.sheet:
              schema:
                type: string
                format: binary
          description: Report data in JSON format.
        '400':
          content:
            application/json:
              schema:
                type: object
                additionalProperties: {}
              examples:
                ErrorResponse:
                  value:
                    error: 'Failed to render report: <error details>'
                  summary: Error response
            text/csv:
              schema:
                type: object
                additionalProperties: {}
              examples:
                ErrorResponse:
                  value:
                    error: 'Failed to render report: <error details>'
                  summary: Error response
            application/vnd.openxmlformats-officedocument.spreadsheetml.sheet:
              schema:
                type: object
                additionalProperties: {}
              examples:
                ErrorResponse:
                  value:
                    error: 'Failed to render report: <error details>'
                  summary: Error response
          description: Error response when report generation failed.
        '401':
          description: Authentication credentials were not provided or are invalid.
        '403':
          description: You do not have permission to perform this action.
components:
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````